ST_RotateZ
Prev | 8.15. Affine Transformations | Next

## Name

ST_RotateZ — Rotates a geometry about the Z axis.

## Synopsis

`geometry ST_RotateZ(`geometry geomA, float rotRadians`)`;

## Description

Rotates a geometry geomA - rotRadians about the Z axis.

This is a synonym for ST_Rotate

`ST_RotateZ(geomA, rotRadians)` is short-hand for `SELECT ST_Affine(geomA, cos(rotRadians), -sin(rotRadians), 0, sin(rotRadians), cos(rotRadians), 0, 0, 0, 1, 0, 0, 0)`.

Enhanced: 2.0.0 support for Polyhedral surfaces, Triangles and TIN was introduced.

Availability: 1.1.2. Name changed from RotateZ to ST_RotateZ in 1.2.2

Prior to 1.3.4, this function crashes if used with geometries that contain CURVES. This is fixed in 1.3.4+

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

## Examples

    --Rotate a line 90 degrees along z-axis
    SELECT ST_AsEWKT(ST_RotateZ(ST_GeomFromEWKT('LINESTRING(1 2 3, 1 1 1)'), pi()/2));
    		 st_asewkt
    ---------------------------
     LINESTRING(-2 1 3,-1 1 1)

     --Rotate a curved circle around z-axis
    SELECT ST_AsEWKT(ST_RotateZ(geom, pi()/2))
    FROM (SELECT ST_LineToCurve(ST_Buffer(ST_GeomFromText('POINT(234 567)'), 3)) As geom) As foo;

    													   st_asewkt
    ----------------------------------------------------------------------------------------------------------------------------
     CURVEPOLYGON(CIRCULARSTRING(-567 237,-564.87867965644 236.12132034356,-564 234,-569.12132034356 231.87867965644,-567 237))

## See Also

ST_Affine, ST_RotateX, ST_RotateY

Prev | Up | Next
ST_RotateY | Home | ST_Scale